Groovy Documentation

# Deprecated API

Methods
`DefaultGroovyMethods#collectNested(java.util.Collection self, Closure transform)` Deprecated alias for collectNested
`GroovyClassLoader#parseClass(java.io.InputStream in, java.lang.String fileName)` @deprecated Prefer using methods taking a Reader rather than an InputStream to avoid wrong encoding issues.
`ReturnAdder#addReturnIfNeeded(MethodNode node)` Adds return statements in method code whenever an implicit return is detected.

Groovy Documentation